#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		svers	%(echo %{version} | tr -s '_' '.')
#-----------------------------------------------------------------------------
Name		:	icu
Version		:	74_2
Release		:	16.2.0.rel%{?dist}
Summary		:	International Components for Unicode (ICU) package
Group		:	Applications/Text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MPLv2.0
URL		:	http://github.com/unicode-org/icu
			# http://download.icu-project.org/files/icu4c
			# ..../release-73-2/icu4c-73_2-src.tgz
 

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
The International Components for Unicode (ICU) package is a mature,
widely used set of C/C++ libraries providing Unicode and Globalization
support for software applications. ICU is widely portable and gives
applications the same results on all platforms. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/*
%{_sbindir}/*
%{_includedir}/unicode/*.h
%{_libdir}/%{name}/current
%{_libdir}/%{name}/*.inc
%{_libdir}/%{name}/%{svers}/*.inc
%{_libdir}/lib%{name}*.so*
%{_libdir}/pkgconfig/%{name}-*.pc
%{_datadir}/%{name}/%{svers}/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

pushd source
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

pushd source
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

popd

#-----------------------------------------------------------------------------
%changelog

